Loading...
Searching...
No Matches
_cl_image_desc Struct Reference

`#include <mini_cl.h>`

## Public Attributes

cl_mem_object_type | image_type
size_t | image_width
size_t | image_height
size_t | image_depth
size_t | image_array_size
size_t | image_row_pitch
size_t | image_slice_pitch
cl_uint | num_mip_levels
cl_uint | num_samples
cl_mem | buffer

## Detailed Description

Definition at line 112 of file mini_cl.h.

## Member Data Documentation

## image_type

cl_mem_object_type _cl_image_desc::image_type

Definition at line 113 of file mini_cl.h.

## image_width

size_t _cl_image_desc::image_width

Definition at line 114 of file mini_cl.h.

## image_height

size_t _cl_image_desc::image_height

Definition at line 115 of file mini_cl.h.

## image_depth

size_t _cl_image_desc::image_depth

Definition at line 116 of file mini_cl.h.

## image_array_size

size_t _cl_image_desc::image_array_size

Definition at line 117 of file mini_cl.h.

## image_row_pitch

size_t _cl_image_desc::image_row_pitch

Definition at line 118 of file mini_cl.h.

## image_slice_pitch

size_t _cl_image_desc::image_slice_pitch

Definition at line 119 of file mini_cl.h.

## num_mip_levels

cl_uint _cl_image_desc::num_mip_levels

Definition at line 120 of file mini_cl.h.

## num_samples

cl_uint _cl_image_desc::num_samples

Definition at line 121 of file mini_cl.h.

## buffer

cl_mem _cl_image_desc::buffer

Definition at line 122 of file mini_cl.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_cl.h